//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.03.19 at 03:32:22 PM CET 
//


package eu.transkribus.core.model.beans.fat;

import java.math.BigInteger;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Metadata">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attribute name="XRes" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                 &lt;attribute name="YRes" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                 &lt;attribute name="Bitdepth" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *                 &lt;attribute name="Checksum" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *                 &lt;attribute name="ColorType" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *                 &lt;attribute name="Compression" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *                 &lt;attribute name="Endian" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *                 &lt;attribute name="Height" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                 &lt;attribute name="IsResOverwritten" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *                 &lt;attribute name="Size" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                 &lt;attribute name="Mimetype" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *                 &lt;attribute name="Width" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="Message" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="Status" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *       &lt;attribute name="ErrorType" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *       &lt;attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="Schema" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="SchemaType" type="{http://www.w3.org/2001/XMLSchema}NCName" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "metadata"
})
@XmlRootElement(name = "File")
public class File {

    @XmlElement(name = "Metadata", required = true)
    protected File.Metadata metadata;
    @XmlAttribute(name = "Message", required = true)
    @XmlSchemaType(name = "anySimpleType")
    protected String message;
    @XmlAttribute(name = "Status", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    protected String status;
    @XmlAttribute(name = "ErrorType", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    protected String errorType;
    @XmlAttribute(name = "Name", required = true)
    protected String name;
    @XmlAttribute(name = "Schema")
    @XmlSchemaType(name = "anyURI")
    protected String schema;
    @XmlAttribute(name = "SchemaType")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    protected String schemaType;

    /**
     * Gets the value of the metadata property.
     * 
     * @return
     *     possible object is
     *     {@link File.Metadata }
     *     
     */
    public File.Metadata getMetadata() {
        return metadata;
    }

    /**
     * Sets the value of the metadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link File.Metadata }
     *     
     */
    public void setMetadata(File.Metadata value) {
        this.metadata = value;
    }

    /**
     * Gets the value of the message property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessage(String value) {
        this.message = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the errorType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getErrorType() {
        return errorType;
    }

    /**
     * Sets the value of the errorType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setErrorType(String value) {
        this.errorType = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the schema property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSchema() {
        return schema;
    }

    /**
     * Sets the value of the schema property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSchema(String value) {
        this.schema = value;
    }

    /**
     * Gets the value of the schemaType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSchemaType() {
        return schemaType;
    }

    /**
     * Sets the value of the schemaType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSchemaType(String value) {
        this.schemaType = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attribute name="XRes" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *       &lt;attribute name="YRes" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *       &lt;attribute name="Bitdepth" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
     *       &lt;attribute name="Checksum" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
     *       &lt;attribute name="ColorType" type="{http://www.w3.org/2001/XMLSchema}NCName" />
     *       &lt;attribute name="Compression" type="{http://www.w3.org/2001/XMLSchema}NCName" />
     *       &lt;attribute name="Endian" type="{http://www.w3.org/2001/XMLSchema}NCName" />
     *       &lt;attribute name="Height" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *       &lt;attribute name="IsResOverwritten" type="{http://www.w3.org/2001/XMLSchema}NCName" />
     *       &lt;attribute name="Size" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *       &lt;attribute name="Mimetype" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
     *       &lt;attribute name="Width" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Metadata {

        @XmlAttribute(name = "XRes")
        protected BigInteger xRes;
        @XmlAttribute(name = "YRes")
        protected BigInteger yRes;
        @XmlAttribute(name = "Bitdepth")
        @XmlSchemaType(name = "anySimpleType")
        protected String bitdepth;
        @XmlAttribute(name = "Checksum")
        @XmlSchemaType(name = "anySimpleType")
        protected String checksum;
        @XmlAttribute(name = "ColorType")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NCName")
        protected String colorType;
        @XmlAttribute(name = "Compression")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NCName")
        protected String compression;
        @XmlAttribute(name = "Endian")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NCName")
        protected String endian;
        @XmlAttribute(name = "Height")
        protected BigInteger height;
        @XmlAttribute(name = "IsResOverwritten")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NCName")
        protected String isResOverwritten;
        @XmlAttribute(name = "Size")
        protected BigInteger size;
        @XmlAttribute(name = "Mimetype")
        @XmlSchemaType(name = "anySimpleType")
        protected String mimetype;
        @XmlAttribute(name = "Width")
        protected BigInteger width;

        /**
         * Gets the value of the xRes property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getXRes() {
            return xRes;
        }

        /**
         * Sets the value of the xRes property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setXRes(BigInteger value) {
            this.xRes = value;
        }

        /**
         * Gets the value of the yRes property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getYRes() {
            return yRes;
        }

        /**
         * Sets the value of the yRes property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setYRes(BigInteger value) {
            this.yRes = value;
        }

        /**
         * Gets the value of the bitdepth property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getBitdepth() {
            return bitdepth;
        }

        /**
         * Sets the value of the bitdepth property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setBitdepth(String value) {
            this.bitdepth = value;
        }

        /**
         * Gets the value of the checksum property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getChecksum() {
            return checksum;
        }

        /**
         * Sets the value of the checksum property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setChecksum(String value) {
            this.checksum = value;
        }

        /**
         * Gets the value of the colorType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getColorType() {
            return colorType;
        }

        /**
         * Sets the value of the colorType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setColorType(String value) {
            this.colorType = value;
        }

        /**
         * Gets the value of the compression property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCompression() {
            return compression;
        }

        /**
         * Sets the value of the compression property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCompression(String value) {
            this.compression = value;
        }

        /**
         * Gets the value of the endian property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEndian() {
            return endian;
        }

        /**
         * Sets the value of the endian property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEndian(String value) {
            this.endian = value;
        }

        /**
         * Gets the value of the height property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getHeight() {
            return height;
        }

        /**
         * Sets the value of the height property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setHeight(BigInteger value) {
            this.height = value;
        }

        /**
         * Gets the value of the isResOverwritten property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIsResOverwritten() {
            return isResOverwritten;
        }

        /**
         * Sets the value of the isResOverwritten property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIsResOverwritten(String value) {
            this.isResOverwritten = value;
        }

        /**
         * Gets the value of the size property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getSize() {
            return size;
        }

        /**
         * Sets the value of the size property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setSize(BigInteger value) {
            this.size = value;
        }

        /**
         * Gets the value of the mimetype property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMimetype() {
            return mimetype;
        }

        /**
         * Sets the value of the mimetype property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMimetype(String value) {
            this.mimetype = value;
        }

        /**
         * Gets the value of the width property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getWidth() {
            return width;
        }

        /**
         * Sets the value of the width property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setWidth(BigInteger value) {
            this.width = value;
        }

    }

}
